## enum tools-0.5.0

=== requirements.txt ===
pygments>=2.6.1
typing_extensions>=3.7.4.3

## enum 1.0.3

=== debian/changelog ===
enum (1.0.3-1) unstable; urgency=low

  * New upstream release
    - Fix linking with --as-needed (thanks to Michael Bienia) making the
      Ubuntu patch unnecessary

 -- Jan Hauke Rahm <jhr@debian.org>  Thu, 10 Feb 2011 16:12:52 +0100

enum (1.0.2-1) unstable; urgency=low

  * New upstream release fixing minor bugs

 -- Jan Hauke Rahm <jhr@debian.org>  Fri, 05 Nov 2010 21:58:21 +0100

enum (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #600734)

 -- Jan Hauke Rahm <jhr@debian.org>  Tue, 26 Oct 2010 09:24:36 +0200

=== debian/control ===
Source: enum
Section: utils
Priority: optional
Maintainer: Jan Hauke Rahm <jhr@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, asciidoc
Standards-Version: 3.9.1
Homepage: https://fedorahosted.org/enum
Vcs-Git: git://git.debian.org/collab-maint/enum.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/enum.git;a=summary

Package: enum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: seq- and jot-like enumerator
 enum enumerates values (numbers) between two values, possibly further adjusted
 by a step and/or a count, all given on the command line. Before printing,
 values are passed through a formatter. Very fine control over input
 interpretation and output is possible.
 .
 enum is designed to be a drop-in replacement for GNU seq while still providing
 (almost) the same feature set jot (on BSD) provides.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

## options upstream supports
#NODOC=--disable-doc-rebuild
#PEDANTIC=--enable-pedantic
#
#override_dh_auto_configure:
#	dh_auto_configure -- $(NODOC) $(PEDANTIC)

%:
	dh  $@

## enum 1.1

=== debian/changelog ===
enum (1.1-2) unstable; urgency=medium

  * Team upload.
  * Point Homepage to webarchive
  * Fake watch file since upstream site vanished
  * Point Vcs fields to Salsa
  * Debhelper-compat = 13
    Closes: #1049552
  * Make sure autoreconf will not fail
  * d/copyright: DEP5 + review
  * Standards-Version: 4.7.0 (routine-update)
  * Do not re-create manpage since it does not add value
  * Lintian-overrides: obsolete-url-in-packaging https://fedorahosted.org/enum/

 -- Andreas Tille <tille@debian.org>  Mon, 10 Feb 2025 10:37:06 +0100

enum (1.1-1) unstable; urgency=low

  * [09e3166b] Allow parallel building
  * [a8492c9a] Switch to debhelper 9 and add hardening features
  * [e0f41b41] Imported Upstream version 1.1
    + Allow a count of 0 (Closes: #651757)
  * [b6b38fd1] Bump Standards-Version to 3.9.3

 -- Jan Hauke Rahm <jhr@debian.org>  Thu, 23 Feb 2012 15:28:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Jan Hauke Rahm <jhr@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, asciidoc
-Standards-Version: 3.9.1
-Homepage: https://fedorahosted.org/enum
-Vcs-Git: git://git.debian.org/collab-maint/enum.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/enum.git;a=summary
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/enum
+Vcs-Git: https://salsa.debian.org/debian/enum.git
+Homepage: https://web.archive.org/web/20161230030558/https://fedorahosted.org/enum/
 
 Package: enum
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie

#export DH_VERBOSE=1

## options upstream supports
NODOC=--disable-doc-rebuild
#PEDANTIC=--enable-pedantic
#
override_dh_auto_configure:
	dh_auto_configure -- $(NODOC) $(PEDANTIC)

%:
	dh  $@

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Site/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
